﻿:root {
    --menu-text: var(--sds-grey-000);
    --menu-text-secondary: var(--sds-secondary-200);
    --menu-color: var(--sds-primary-600);
    --menu-color-secondary: var(--sds-primary-500);
    --border-color: var(--sds-primary-600);
    --logo-bg: var(--sds-primary-600);
    --logo-border-color: var(--sds-primary-600);
    --search-margin: 0px auto;
}

#sds-topbar .navbar-default-layout.navbar-light {
    --menu-text: var(--sds-primary-600);
    --menu-text-secondary: var(--sds-secondary-200);
    --menu-color: var(--sds-grey-000);
    --menu-color-secondary: var(--sds-grey-300);
    /* --border-color: var(--sds-grey-400); */
    --logo-bg: var(--sds-primary-600);
    --logo-border-color: var(--sds-primary-600);
    --search-margin: 0px auto;
}

#sds-topbar .dropdown-item {
    padding: 0.625rem 1rem;
}

#sds-topbar .navbar-container {
    justify-content: space-between;
    flex-wrap: nowrap;
}

#sds-topbar .vertical-menu-btn {
    padding: 0.1875rem;
    margin: 0px 1rem 0px 0.375rem;
}
#sds-topbar .hamburgar-btn.horizontal-menu svg {
    width: 1.5rem;
    height: 1.5625rem;
}

#sds-topbar .language-switch-dropdown {
    min-width: unset !important;
}

#sds-topbar #sds-language-switch.dropdown .header-item.portal {
    display: flex;
    height: 2rem;
    padding: 0.375rem 0.75rem !important;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    border-radius: 1.75rem;
}
#sds-topbar #sds-language-switch.dropdown .header-item.portal #header-lang-text {
   font-size: 0.75rem;
   line-height: 1.125rem;
}

#sds-topbar #sds-language-switch.dropdown .header-item.portal[aria-expanded="true"]{
    background: var(--sds-grey-300, #F0F4F4);
}


#sds-topbar #sds-language-switch.dropdown .header-item.portal .sds-selected-lang-abbr {
    color: var(--sds-grey-700, #5A6161);
    font-family: var(--sds-font-family, Arial, Helvetica, sans-serif);
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    text-transform: uppercase;
    align-self: flex-end;
}

#sds-topbar #sds-language-switch.dropdown .header-item.portal .sds-icon-caret-down {
    display: flex;
    width: 1rem;
    height: 1rem;
    justify-content: center;
    align-items: center;
}

#sds-topbar #sds-language-switch.dropdown .dropdown-menu {
  padding: 0.5rem 0rem;
}

#sds-topbar #sds-language-switch.dropdown .dropdown-menu .dropdown-item .lang-abbr {
 font-size: 0.75rem;
 line-height: 1.125rem;
}
#sds-topbar #sds-language-switch.dropdown .dropdown-menu .dropdown-item .lang-name {
 font-size: 0.875rem;
 line-height: 1.25rem;
}

#sds-topbar .language-switch-dropdown.portal {
    border-radius: 1.25rem !important;
    border: 1px solid var(--sds-grey-400, #DEE4E4);
    box-shadow: 0px 3px 6px -3px rgba(2, 3, 3, 0.08), 0px 8px 20px -4px rgba(2, 3, 3, 0.12);
    overflow: hidden;
    margin-top: 0.61rem !important;
}

#sds-topbar .language-switch-dropdown.portal .dropdown-item {
    display: flex;
    align-items: center;
    height: 2.5rem;
}

#sds-topbar .navbar-default-layout {
    padding: 0.4819rem 1rem 0.4288rem 1rem;
    height: 3rem;
    background: var(--menu-color);
    justify-content: unset;
}

#sds-topbar .navbar-default-layout .logo-btn-wreapper {
    border-bottom: 1px solid var(--logo-border-color);
    background-color: var(--logo-bg);
}

#sds-topbar .navbar-default-layout .navbar-container {
    border-bottom: 1px solid var(--border-color);
    padding: 0px 1rem;
}

#sds-topbar .btn:focus {
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}

#sds-topbar .sds-icon-bars {
    display: none;
}

#sds-topbar .sds-icon-bars svg, #portal-mobile-user-dropdown svg {
    width: 1.5rem;
    height: 1.5625rem;
}

#sds-topbar .sds-icon-close {
    display: none;
}

#sds-topbar .top-searchbar-wrapper {
    margin: var(--search-margin);
}

#sds-topbar .top-action-btns-wrappper {
    gap: 20px;
}

#sds-topbar .top-action-btns-wrappper svg {
    width: 1rem;
    height: 1rem;
}

#sds-topbar .top-action-btns-wrappper .language-switch-dropdown svg {
    width: 18px;
    height: 13px;
}

#sds-topbar .top-action-btns-wrappper .btn {
    padding-left: 0px;
    padding-right: 0px;
    border: none;
}

#sds-topbar .top-action-btns-wrappper .btn#custom-integration-properties,
#sds-topbar .top-action-btns-wrappper .btn#custom-app-properties {
    padding-block: 9px;
}

.sds-sidebar-close-desk {
    display: none;
}

#sds-main-container.menu-open:not(.main-sidebar) #sds-topbar .sds-sidebar-close-desk {
    display: block !important;
}

#sds-main-container.menu-open:not(.main-sidebar) #sds-topbar .sds-sidebar-open-desk {
    display: none !important;
}

#sds-main-container:not(.menu-open) #sds-topbar .sds-sidebar-close-desk {
    display: none !important;
}

#sds-topbar .language-switch .language-switch-dropdown .dropdown-item:hover {
  background: var(--Primary-100, #E5F1F2);
  box-shadow: 3px 0px 0px 0px #0B9294 inset;
  color: var(--Primary-500, #0B9294);
}

#sds-topbar .language-switch .language-switch-dropdown .dropdown-item.active {
  background: var(--Primary-100, #E5F1F2);
  box-shadow: 3px 0px 0px 0px #0B9294 inset;
  color: var(--Primary-500, #0B9294);
}

@media screen and (min-width: 768px) {
    #sds-main-container.menu-closed #sds-topbar .sds-sidebar-open-desk {
        display: block !important;
    }
    #sds-main-container.menu-open #sds-topbar .sds-sidebar-open-desk {
        display: none !important;
    }

}

@media screen and (max-width: 767px) {

    #sds-main-container:not(.menu-open) #sds-topbar .sds-icon-close,
    #sds-main-container.menu-open #sds-topbar .sds-icon-bars {
        display: none !important;
    }

    #sds-main-container.menu-open #sds-topbar .sds-icon-close,
    #sds-main-container:not(.menu-open) #sds-topbar .sds-icon-bars {
        display: block;
    }


    #sds-topbar .vertical-menu-btn {
        margin: 0px 0px 0px auto;
    }

    #sds-main-container #sds-topbar .sds-sidebar-open-desk,
    #sds-main-container #sds-topbar .sds-sidebar-close-desk,
    #sds-main-container.menu-open:not(.main-sidebar) #sds-topbar .sds-sidebar-close-desk {
        display: none !important;
    }
}
@media screen and (min-width: 768px) and (max-width:1023px) {
    #sds-topbar .navbar-default-layout .navbar-container {
        width: calc(100% - var(--menu-width));
    }
}
